apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: "file-csi"
provisioner: k8s.io/minikube-hostpath
reclaimPolicy: Retain
volumeBindingMode: WaitForFirstConsumer
---
# Source: qmig/templates/air/air-pv.yaml
apiVersion: v1
kind: PersistentVolume
metadata:
  name: qmig-shared
spec:
  capacity:
    storage: "5Gi"
  accessModes:
    - ReadWriteMany
  storageClassName: file-csi
  persistentVolumeReclaimPolicy: Retain
  hostPath:
    path: {{LOCAL_PATH}} ## Path to be mounted from Local
---
# Source: qmig/templates/air/air-pvc.yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  labels:
    app.kubernetes.io/name: qmig
  name: qmig-shared
  namespace: {{Namespace}}
spec:
  accessModes:
    - ReadWriteMany
  storageClassName: "file-csi"
  volumeName: qmig-shared
  resources:
    requests:
      storage: "5Gi"
